summaryrefslogtreecommitdiff
path: root/bin/node_init
diff options
context:
space:
mode:
authorelijah <elijah@riseup.net>2016-08-23 13:34:07 -0700
committerelijah <elijah@riseup.net>2016-08-23 13:34:28 -0700
commit05fc9658915bfbd1006d9ff8da83fd34df2c78d1 (patch)
tree58a75975e900deca8a23414d565a3489b30dbedd /bin/node_init
parentd0532dbe3463a2103ae4a0757c5168478a1ffb99 (diff)
locale improvements: allow non-english locales in node_init, enforce UTF8 locale for `puppet apply`.
Diffstat (limited to 'bin/node_init')
-rw-r--r--bin/node_init4
1 files changed, 3 insertions, 1 deletions
diff --git a/bin/node_init b/bin/node_init
index da250012..ea4c29c5 100644
--- a/bin/node_init
+++ b/bin/node_init
@@ -22,7 +22,9 @@ if ! egrep -q "$DEBIAN_VERSION" /etc/debian_version; then
exit 1
fi
mkdir -p $LEAP_DIR
-echo "en_US.UTF-8 UTF-8" > /etc/locale.gen
+if ! grep -q -e '^en_US.UTF-8' /etc/locale.gen; then
+ echo "en_US.UTF-8 UTF-8" >> /etc/locale.gen
+fi
#
# UPDATE PACKAGES